package com.qmth.demo.api.controller;

import com.qmth.boot.api.annotation.Aac;
import com.qmth.boot.api.annotation.BOOL;
import com.qmth.boot.api.constant.ApiConstant;
import com.qmth.demo.api.auth.DemoSession;
import org.springframework.web.bind.annotation.RequestAttribute;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping(ApiConstant.DEFAULT_URI_PREFIX + "/auth")
@Aac(auth = BOOL.TRUE)
public class AuthController {

    @RequestMapping("/demo")
    public Object security(@RequestAttribute DemoSession accessEntity) {
        return accessEntity;
    }

}
